// @flow
import React from 'react';
import { renderSnapshot } from '../../../../../utils/tests';

import { SearchIcon } from './search';
import { SearchCloseIcon } from './close';

describe('SearchInput Icons', () => {
  describe('SearchIcon', () => {
    it('matches the previous snapshot', () => {
      const searchIcon = renderSnapshot(<SearchIcon />);
      expect(searchIcon).toMatchSnapshot();
    });
  });

  describe('SearchIcon', () => {
    it('matches the previous snapshot', () => {
      const searchCloseIcon = renderSnapshot(<SearchCloseIcon />);
      expect(searchCloseIcon).toMatchSnapshot();
    });
  });
});
